## backup-manager 0.5.7

=== Makefile ===
DESTDIR?=

# For the backup-manager package
PERL5DIR=$(DESTDIR)/usr/share/perl5
LIBDIR=$(DESTDIR)/usr/share/backup-manager
SHAREDIR=$(DESTDIR)/usr/share/backup-manager
SHFILES=lib/dialog.sh \
	lib/files.sh \
	lib/actions.sh \
	lib/gettext.sh \
	lib/gettext-real.sh \
	lib/gettext-dummy.sh \
	lib/md5sum.sh 

# For the backup-manager-doc package
DOCDIR		= $(DESTDIR)/usr/share/doc/backup-manager
DOCHTMLDIR 	= $(DOCDIR)/user-guide.html
DOCPDF		= doc/user-guide.pdf
DOCHTMLFILES	= doc/user-guide.html/*.html
DOCPDF		= doc/user-guide.pdf
DOCTXT		= doc/user-guide.txt

# The backup-manager package
install: install_lib install_deb install_po
install_binary: doc install_lib install_deb install_po

# The backup-manager-doc package
install_doc: 
	@echo -e "\n*** Building the User Guide ***\n"
	$(MAKE) -C doc
	install -d $(DOCDIR)
	install --owner=root --group=root --mode=0644 $(DOCPDF) $(DOCDIR)
	install --owner=root --group=root --mode=0644 $(DOCTXT) $(DOCDIR)
	install -d $(DOCHTMLDIR)
	install --owner=root --group=root --mode=0644 $(DOCHTMLFILES) $(DOCHTMLDIR)

# The translation stuff
install_po:
	@echo -e "\n*** generating po files ***\n"
	$(MAKE) -C po install

# The backup-manager libraries
install_lib:
	@echo -e "\n*** Installing libraries ***\n"
	install -d $(LIBDIR)
	install --owner=root --group=root --mode=0644 $(SHFILES) $(LIBDIR)

# The main stuff to build the backup-manager package
install_deb:
	@echo -e "\n*** Installing scripts ***\n"
	mkdir -p $(DESTDIR)/usr/sbin
	mkdir -p $(DESTDIR)/usr/bin
	mkdir -p $(SHAREDIR)
	install --owner=root --group=root --mode=0755 backup-manager $(DESTDIR)/usr/sbin
	install --owner=root --group=root --mode=0755 backup-manager-upload $(DESTDIR)/usr/bin
	install --owner=root --group=root --mode=0644 backup-manager.conf.tpl $(SHAREDIR)
	
	mkdir -p $(PERL5DIR)
	mkdir -p $(PERL5DIR)/BackupManager
	install --owner=root --group=root --mode=0644 BackupManager/*.pm $(PERL5DIR)/BackupManager

# generating the manpage from the perl scripts.
doc:
	@echo -e "\n*** generating manpages ***\n"
	PERL5LIB=. pod2man --center="backup-manager-upload" backup-manager-upload > man/backup-manager-upload.3

# Installing the man pages.
install_man:
	@echo -e "\n*** Installing man pages ***\n"
	install -d /usr/share/man/man3/
	install --owner=root --group=root --mode=0644 man/*.3 /usr/share/man/man3/

# Quick :)
deb:
	dpkg-buildpackage -us -uc -rfakeroot

clean:
	rm -f build-stamp
	rm -rf debian/backup-manager
	$(MAKE) -C po clean

=== doc/Makefile ===

BASE	= user-guide
SOURCE	= $(BASE).sgml

install: pdf txt html

pdf:
	debiandoc2pdf $(SOURCE)
txt:
	debiandoc2text $(SOURCE)
html:
	debiandoc2html $(SOURCE)

clean:
	rm -f *.pdf *.txt *.tpt
	rm -rf $(BASE).html

=== po/Makefile ===
prefix=$(DESTDIR)

# List here all source files with translatable strings.
POTFILES=$(shell find ../lib -type f -name \*.sh) \
	../backup-manager

POFILES=$(wildcard *.po)
MOFILES=$(POFILES:.po=.mo)


all: backup-manager.pot $(MOFILES)

install: all
	for file in $(MOFILES); do \
		lang=`echo $$file | sed 's/\.mo//'`; \
		install -d $(prefix)/usr/share/locale/$$lang/LC_MESSAGES/; \
		install -m 0644 $$file $(prefix)/usr/share/locale/$$lang/LC_MESSAGES/backup-manager.mo; \
	done

backup-manager.pot: $(POTFILES)
	@echo "Generating ext files"
	for file in $(POTFILES); do \
		base=`basename $$file`; \
		sed -e 's/echo_translated \|error \|warning \|info /gettext /g'< $$file >$$base.ext; \
		sed -e 's/-n//g'< $$base.ext >$$base.ext.new;  \
		mv $$base.ext.new $$base.ext; \
	done
	@echo "Rebuilding the pot file from ext files"
	xgettext --language=Shell -o backup-manager.pot *.ext

clean:
	rm -f backup-manager.pot $(MOFILES) messages messages.mo *.ext messages.po tmp

%.mo: %.po
	msgfmt -o $@ $<

%.po: backup-manager.pot
	@echo -n "Merging backup-manager.pot and $@"
	@msgmerge $@ backup-manager.pot -o $@.new
# Typically all that changes was a date. I'd prefer not to cvs commit such
# changes, so detect and ignore them.
	@if [ "`diff $@ $@.new | grep '[<>]' | wc -l`" -ne 2 ]; then \
		mv -f $@.new $@; \
	else \
		rm -f $@.new; \
	fi
	@msgfmt --statistics $@

check:
	@for file in $(POFILES); do \
		lang=`echo $$file | sed 's/\.po//'`; \
		printf "$$lang: "; \
		msgfmt -o /dev/null -c -v --statistics $$lang.po;\
	done

## backup-manager 0.5.8

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 SHFILES=lib/dialog.sh \
 	lib/files.sh \
 	lib/actions.sh \
+	lib/logger.sh \
 	lib/gettext.sh \
 	lib/gettext-real.sh \
 	lib/gettext-dummy.sh \

## backup-manager 0.6

=== doc/Makefile ===
--- 
+++ 
@@ -1,8 +1,14 @@
 
 BASE	= user-guide
 SOURCE	= $(BASE).sgml
+DEST    = /usr/share/backup-manager/doc
 
-install: pdf txt html
+all: pdf txt html
+install: all
+	install -d $(DEST)
+	install $(BASE).pdf $(DEST)
+	install $(BASE).html $(DEST)
+	install $(BASE).txt $(DEST)
 
 pdf:
 	debiandoc2pdf $(SOURCE)

## backup-manager 0.6.2

=== Makefile ===
--- 
+++ 
@@ -3,15 +3,20 @@
 # For the backup-manager package
 PERL5DIR=$(DESTDIR)/usr/share/perl5
 LIBDIR=$(DESTDIR)/usr/share/backup-manager
+CONTRIB=$(LIBDIR)/contrib
 SHAREDIR=$(DESTDIR)/usr/share/backup-manager
 SHFILES=lib/dialog.sh \
 	lib/files.sh \
 	lib/actions.sh \
+	lib/backup-methods.sh\
+	lib/upload-methods.sh\
 	lib/logger.sh \
 	lib/gettext.sh \
 	lib/gettext-real.sh \
 	lib/gettext-dummy.sh \
+	lib/sanitize.sh \
 	lib/md5sum.sh 
+
 
 # For the backup-manager-doc package
 DOCDIR		= $(DESTDIR)/usr/share/doc/backup-manager
@@ -22,8 +27,13 @@
 DOCTXT		= doc/user-guide.txt
 
 # The backup-manager package
-install: install_lib install_deb install_po
-install_binary: doc install_lib install_deb install_po
+install: install_lib install_deb install_contrib install_man install_po
+install_binary: install_lib install_deb 
+
+install_contrib:
+	@echo -e "*** Contrib files ***\n"
+	install -d $(CONTRIB)
+	install -m0755 contrib/*.sh $(CONTRIB)
 
 # The backup-manager-doc package
 install_doc: 
@@ -37,7 +47,6 @@
 
 # The translation stuff
 install_po:
-	@echo -e "\n*** generating po files ***\n"
 	$(MAKE) -C po install
 
 # The backup-manager libraries
@@ -60,16 +69,16 @@
 	mkdir -p $(PERL5DIR)/BackupManager
 	install --owner=root --group=root --mode=0644 BackupManager/*.pm $(PERL5DIR)/BackupManager
 
-# generating the manpage from the perl scripts.
-doc:
+# Installing the man pages.
+install_man: 
 	@echo -e "\n*** generating manpages ***\n"
-	PERL5LIB=. pod2man --center="backup-manager-upload" backup-manager-upload > man/backup-manager-upload.3
+	PERL5LIB=. pod2man --center="backup-manager-upload" backup-manager-upload > man/backup-manager-upload.8
+	@echo -e "\n*** Installing man pages ***\n"
+	install -d /usr/share/man/man8/
+	install --owner=root --group=root --mode=0644 man/*.8 /usr/share/man/man8/
 
-# Installing the man pages.
-install_man:
-	@echo -e "\n*** Installing man pages ***\n"
-	install -d /usr/share/man/man3/
-	install --owner=root --group=root --mode=0644 man/*.3 /usr/share/man/man3/
+docs:
+	make -C doc all
 
 # Quick :)
 deb:
@@ -79,4 +88,5 @@
 	rm -f build-stamp
 	rm -rf debian/backup-manager
 	$(MAKE) -C po clean
+	$(MAKE) -C doc clean

=== po/Makefile ===
prefix=$(DESTDIR)

# List here all source files with translatable strings.
POTFILES= \
	$(shell find ../lib -type f -name \*.sh) \
	../backup-manager

POFILES_SRC=backup-manager.files
POFILES=$(wildcard *.po)
MOFILES=$(POFILES:.po=.mo)
PACKAGE=backup-manager
.SUFFIXES: .po .mo

all: backup-manager.pot $(POFILES) $(MOFILES)

install: $(MOFILES)
	@echo "Installing mo files"
	for file in $(MOFILES); do \
		lang=`echo $$file | sed 's/\.mo//'`; \
		install -d $(prefix)/usr/share/locale/$$lang/LC_MESSAGES/; \
		install -m 0644 $$file $(prefix)/usr/share/locale/$$lang/LC_MESSAGES/backup-manager.mo; \
	done

$(POFILES_SRC):
	find ../lib -type f -name \*.sh > $(POFILES_SRC)
	echo ../backup-manager >> $(POFILES_SRC)

$(PACKAGE).pot: $(POFILES_SRC)
	xgettext --keyword=info \
			 --keyword=warning \
			 --keyword=error \
			 --keyword=echo_translated \
			 --language=Shell \
			 -o backup-manager.pot \
			 --files-from=$(POFILES_SRC)
clean:
	rm -f backup-manager.pot \
		  backup-manager.files \
	      $(MOFILES) \
		  messages messages.mo \
		  messages.po 
		  
.po.mo: backup-manager.pot
	@echo "Merging $(PACKAGE).pot and $*.po"
	@msgmerge $*.po $(PACKAGE).pot -o $*.po.new
	@if [ "`diff $*.po $*.po.new | grep '[<>]' | wc -l`" -ne 2 ]; then \
        mv -f $*.po.new $*.po; \
    else \
        rm -f $*.po.new; \
    fi
	@msgfmt --statistics $*.po
	msgfmt --no-hash -o $*.mo $*.po

check:
	@for file in $(POFILES); do \
		lang=`echo $$file | sed 's/\.po//'`; \
		printf "$$lang: "; \
		msgfmt -o /dev/null -c -v --statistics $$lang.po;\
	done

## backup-manager 0.7.2

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 	lib/actions.sh \
 	lib/backup-methods.sh\
 	lib/upload-methods.sh\
+	lib/burning-methods.sh\
 	lib/logger.sh \
 	lib/gettext.sh \
 	lib/gettext-real.sh \
@@ -69,10 +70,13 @@
 	mkdir -p $(PERL5DIR)/BackupManager
 	install --owner=root --group=root --mode=0644 BackupManager/*.pm $(PERL5DIR)/BackupManager
 
-# Installing the man pages.
-install_man: 
+# Building manpages
+man/backup-manager-upload.8:
 	@echo -e "\n*** generating manpages ***\n"
 	PERL5LIB=. pod2man --center="backup-manager-upload" backup-manager-upload > man/backup-manager-upload.8
+	
+# Installing the man pages.
+install_man: man/backup-manager-upload.8
 	@echo -e "\n*** Installing man pages ***\n"
 	install -d /usr/share/man/man8/
 	install --owner=root --group=root --mode=0644 man/*.8 /usr/share/man/man8/
@@ -87,6 +91,7 @@
 clean:
 	rm -f build-stamp
 	rm -rf debian/backup-manager
+	rm -f man/backup-manager-upload.8
 	$(MAKE) -C po clean
 	$(MAKE) -C doc clean

## backup-manager 0.7.5

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,8 @@
 LIBDIR=$(DESTDIR)/usr/share/backup-manager
 CONTRIB=$(LIBDIR)/contrib
 SHAREDIR=$(DESTDIR)/usr/share/backup-manager
-SHFILES=lib/dialog.sh \
+SHFILES=\
+	lib/dialog.sh \
 	lib/files.sh \
 	lib/actions.sh \
 	lib/backup-methods.sh\
@@ -18,7 +19,6 @@
 	lib/sanitize.sh \
 	lib/md5sum.sh 
 
-
 # For the backup-manager-doc package
 DOCDIR		= $(DESTDIR)/usr/share/doc/backup-manager
 DOCHTMLDIR 	= $(DOCDIR)/user-guide.html
@@ -28,8 +28,8 @@
 DOCTXT		= doc/user-guide.txt
 
 # The backup-manager package
-install: install_lib install_deb install_contrib install_man install_po
-install_binary: install_lib install_deb 
+install: install_lib install_bin install_contrib install_man install_po
+install_binary: install_lib install_bin 
 
 install_contrib:
 	@echo -e "*** Contrib files ***\n"
@@ -57,12 +57,13 @@
 	install --owner=root --group=root --mode=0644 $(SHFILES) $(LIBDIR)
 
 # The main stuff to build the backup-manager package
-install_deb:
+install_bin:
 	@echo -e "\n*** Installing scripts ***\n"
 	mkdir -p $(DESTDIR)/usr/sbin
 	mkdir -p $(DESTDIR)/usr/bin
 	mkdir -p $(SHAREDIR)
 	install --owner=root --group=root --mode=0755 backup-manager $(DESTDIR)/usr/sbin
+	install --owner=root --group=root --mode=0755 backup-manager-purge $(DESTDIR)/usr/bin
 	install --owner=root --group=root --mode=0755 backup-manager-upload $(DESTDIR)/usr/bin
 	install --owner=root --group=root --mode=0644 backup-manager.conf.tpl $(SHAREDIR)
 	
@@ -84,10 +85,6 @@
 docs:
 	make -C doc all
 
-# Quick :)
-deb:
-	dpkg-buildpackage -us -uc -rfakeroot
-
 clean:
 	rm -f build-stamp
 	rm -rf debian/backup-manager

## backup-manager 0.7.6

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,38 @@
+# Copyright  2005-2006 The Backup Manager Authors
+# See the AUTHORS file for details.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+
+# Makefile for Backup Manager written by Alexis Sukrieh, 
+# smart ideas for finding out perl libraries' destination come 
+# from Thomas Parmelan.
+
+# $Revision: 523 $
+# $Date: 2006-10-20 16:35:41 +0200 (ven, 20 oct 2006) $
+# $Author: sukria $
+
+
+# Overwrite that variable if you need to prefix the destination 
+# (needed for vendors).
 DESTDIR?=
 
-# For the backup-manager package
-PERL5DIR=$(DESTDIR)/usr/share/perl5
+# Overwrite that variable with the Perl vendorlib Config value if 
+# you package Backup Manager
+PERL5DIR?="$(DESTDIR)$(shell perl -MConfig -e 'print "$$Config{sitelib}"')"
+
+# Some static paths, specific to backup-manager
 LIBDIR=$(DESTDIR)/usr/share/backup-manager
 CONTRIB=$(LIBDIR)/contrib
 SHAREDIR=$(DESTDIR)/usr/share/backup-manager
@@ -20,16 +51,20 @@
 	lib/md5sum.sh 
 
 # For the backup-manager-doc package
-DOCDIR		= $(DESTDIR)/usr/share/doc/backup-manager
-DOCHTMLDIR 	= $(DOCDIR)/user-guide.html
-DOCPDF		= doc/user-guide.pdf
-DOCHTMLFILES	= doc/user-guide.html/*.html
-DOCPDF		= doc/user-guide.pdf
-DOCTXT		= doc/user-guide.txt
+DOCDIR		 = $(DESTDIR)/usr/share/doc/backup-manager
+DOCHTMLDIR	 = $(DOCDIR)/user-guide.html
+DOCPDF		 = doc/user-guide.pdf
+DOCHTMLFILES = doc/user-guide.html/*.html
+DOCPDF		 = doc/user-guide.pdf
+DOCTXT		 = doc/user-guide.txt
+
+# Main build rule (we don't buid the docs as we don't know if debiandocs can be
+# there) so the docs target has to be called manually by vendors.
+build: manpages 
 
 # The backup-manager package
-install: install_lib install_bin install_contrib install_man install_po
-install_binary: install_lib install_bin 
+install: build install_lib install_bin install_contrib install_man install_po
+install_binary: build install_lib install_bin 
 
 install_contrib:
 	@echo -e "*** Contrib files ***\n"
@@ -73,14 +108,24 @@
 
 # Building manpages
 man/backup-manager-upload.8:
-	@echo -e "\n*** generating manpages ***\n"
 	PERL5LIB=. pod2man --center="backup-manager-upload" backup-manager-upload > man/backup-manager-upload.8
+
+man/backup-manager-purge.8:
+	PERL5LIB=. pod2man --center="backup-manager-purge" backup-manager-purge > man/backup-manager-purge.8
 	
+# build the manpages
+manpages: manpages-stamp	
+manpages-stamp: man/backup-manager-upload.8 man/backup-manager-purge.8
+	touch manpages-stamp
+
 # Installing the man pages.
-install_man: man/backup-manager-upload.8
+install_man: manpages-stamp
 	@echo -e "\n*** Installing man pages ***\n"
 	install -d /usr/share/man/man8/
 	install --owner=root --group=root --mode=0644 man/*.8 /usr/share/man/man8/
+
+testperldir:
+	@echo "PERL5DIR: $(PERL5DIR)"
 
 docs:
 	make -C doc all
@@ -89,6 +134,7 @@
 	rm -f build-stamp
 	rm -rf debian/backup-manager
 	rm -f man/backup-manager-upload.8
+	rm -f man/*.8
 	$(MAKE) -C po clean
 	$(MAKE) -C doc clean

=== doc/Makefile ===
--- 
+++ 
@@ -10,11 +10,16 @@
 	install $(BASE).html $(DEST)
 	install $(BASE).txt $(DEST)
 
-pdf:
+pdf: user-guide.pdf
+user-guide.pdf:
 	debiandoc2pdf $(SOURCE)
-txt:
+
+txt: user-guide.txt
+user-guide.txt:
 	debiandoc2text $(SOURCE)
-html:
+
+html: user-guide.html
+user-guide.html:
 	debiandoc2html $(SOURCE)
 
 clean:

=== po/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 all: backup-manager.pot $(POFILES) $(MOFILES)
 
-install: $(MOFILES)
+install: backup-manager.pot $(MOFILES)
 	@echo "Installing mo files"
 	for file in $(MOFILES); do \
 		lang=`echo $$file | sed 's/\.mo//'`; \

## backup-manager 0.7.7

=== Makefile ===
--- 
+++ 
@@ -19,8 +19,8 @@
 # smart ideas for finding out perl libraries' destination come 
 # from Thomas Parmelan.
 
-# $Revision: 523 $
-# $Date: 2006-10-20 16:35:41 +0200 (ven, 20 oct 2006) $
+# $Revision: 549 $
+# $Date: 2007-05-30 15:47:14 +0200 (mer, 30 mai 2007) $
 # $Author: sukria $
 
 
@@ -74,7 +74,7 @@
 # The backup-manager-doc package
 install_doc: 
 	@echo -e "\n*** Building the User Guide ***\n"
-	$(MAKE) -C doc
+	$(MAKE) -C doc DESTDIR=$(DESTDIR)
 	install -d $(DOCDIR)
 	install --owner=root --group=root --mode=0644 $(DOCPDF) $(DOCDIR)
 	install --owner=root --group=root --mode=0644 $(DOCTXT) $(DOCDIR)
@@ -108,10 +108,10 @@
 
 # Building manpages
 man/backup-manager-upload.8:
-	PERL5LIB=. pod2man --center="backup-manager-upload" backup-manager-upload > man/backup-manager-upload.8
+	PERL5LIB=. pod2man --section 8 --center="backup-manager-upload" backup-manager-upload > man/backup-manager-upload.8
 
 man/backup-manager-purge.8:
-	PERL5LIB=. pod2man --center="backup-manager-purge" backup-manager-purge > man/backup-manager-purge.8
+	PERL5LIB=. pod2man --section 8 --center="backup-manager-purge" backup-manager-purge > man/backup-manager-purge.8
 	
 # build the manpages
 manpages: manpages-stamp	
@@ -121,8 +121,8 @@
 # Installing the man pages.
 install_man: manpages-stamp
 	@echo -e "\n*** Installing man pages ***\n"
-	install -d /usr/share/man/man8/
-	install --owner=root --group=root --mode=0644 man/*.8 /usr/share/man/man8/
+	install -d $(DESTDIR)/usr/share/man/man8/
+	install --owner=root --group=root --mode=0644 man/*.8 $(DESTDIR)/usr/share/man/man8/
 
 testperldir:
 	@echo "PERL5DIR: $(PERL5DIR)"
@@ -134,7 +134,7 @@
 	rm -f build-stamp
 	rm -rf debian/backup-manager
 	rm -f man/backup-manager-upload.8
-	rm -f man/*.8
+	#rm -f man/*.8
 	$(MAKE) -C po clean
 	$(MAKE) -C doc clean

=== po/Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 .po.mo: backup-manager.pot
 	@echo "Merging $(PACKAGE).pot and $*.po"
 	@msgmerge $*.po $(PACKAGE).pot -o $*.po.new
-	@if [ "`diff $*.po $*.po.new | grep '[<>]' | wc -l`" -ne 2 ]; then \
+	@if [[ "`diff $*.po $*.po.new | grep '[<>]' | wc -l`" -ne 2 ]]; then \
         mv -f $*.po.new $*.po; \
     else \
         rm -f $*.po.new; \

## backup-manager 0.7.8

=== Makefile ===
--- 
+++ 
@@ -19,8 +19,8 @@
 # smart ideas for finding out perl libraries' destination come 
 # from Thomas Parmelan.
 
-# $Revision: 549 $
-# $Date: 2007-05-30 15:47:14 +0200 (mer, 30 mai 2007) $
+# $Revision: 588 $
+# $Date: 2009-02-01 14:20:05 +0100 (dim 01 fév 2009) $
 # $Author: sukria $
 
 
@@ -37,9 +37,11 @@
 CONTRIB=$(LIBDIR)/contrib
 SHAREDIR=$(DESTDIR)/usr/share/backup-manager
 SHFILES=\
+	lib/externals.sh \
 	lib/dialog.sh \
 	lib/files.sh \
 	lib/actions.sh \
+	lib/dbus.sh \
 	lib/backup-methods.sh\
 	lib/upload-methods.sh\
 	lib/burning-methods.sh\

## backup-manager 0.7.9

=== Makefile ===
--- 
+++ 
@@ -19,9 +19,9 @@
 # smart ideas for finding out perl libraries' destination come 
 # from Thomas Parmelan.
 
-# $Revision: 588 $
-# $Date: 2009-02-01 14:20:05 +0100 (dim 01 fév 2009) $
-# $Author: sukria $
+# $Revision$
+# $Date$
+# $Author$
 
 
 # Overwrite that variable if you need to prefix the destination

=== po/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	done
 
 $(POFILES_SRC):
-	find ../lib -type f -name \*.sh > $(POFILES_SRC)
+	find ../lib -type f -name \*.sh | sort > $(POFILES_SRC)
 	echo ../backup-manager >> $(POFILES_SRC)
 
 $(PACKAGE).pot: $(POFILES_SRC)
@@ -43,7 +43,7 @@
 .po.mo: backup-manager.pot
 	@echo "Merging $(PACKAGE).pot and $*.po"
 	@msgmerge $*.po $(PACKAGE).pot -o $*.po.new
-	@if [[ "`diff $*.po $*.po.new | grep '[<>]' | wc -l`" -ne 2 ]]; then \
+	@if [ "`diff $*.po $*.po.new | grep '[<>]' | wc -l`" -ne 2 ]; then \
         mv -f $*.po.new $*.po; \
     else \
         rm -f $*.po.new; \

## backup-manager 0.7.10.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright  2005-2006 The Backup Manager Authors
+# Copyright  2005-2010 The Backup Manager Authors
 # See the AUTHORS file for details.
 #
 # This program is free software; you can redistribute it and/or
@@ -27,15 +27,19 @@
 # Overwrite that variable if you need to prefix the destination 
 # (needed for vendors).
 DESTDIR?=
+PREFIX?=/usr
 
 # Overwrite that variable with the Perl vendorlib Config value if 
 # you package Backup Manager
 PERL5DIR?="$(DESTDIR)$(shell perl -MConfig -e 'print "$$Config{sitelib}"')"
 
 # Some static paths, specific to backup-manager
-LIBDIR=$(DESTDIR)/usr/share/backup-manager
+BINDIR=$(PREFIX)/bin
+SBINDIR=$(PREFIX)/sbin
+
+LIBDIR=$(DESTDIR)/$(PREFIX)/share/backup-manager
 CONTRIB=$(LIBDIR)/contrib
-SHAREDIR=$(DESTDIR)/usr/share/backup-manager
+SHAREDIR=$(DESTDIR)/$(PREFIX)/share/backup-manager
 SHFILES=\
 	lib/externals.sh \
 	lib/dialog.sh \
@@ -53,7 +57,7 @@
 	lib/md5sum.sh 
 
 # For the backup-manager-doc package
-DOCDIR		 = $(DESTDIR)/usr/share/doc/backup-manager
+DOCDIR		 = $(DESTDIR)/$(PREFIX)/share/doc/backup-manager
 DOCHTMLDIR	 = $(DOCDIR)/user-guide.html
 DOCPDF		 = doc/user-guide.pdf
 DOCHTMLFILES = doc/user-guide.html/*.html
@@ -78,10 +82,10 @@
 	@echo -e "\n*** Building the User Guide ***\n"
 	$(MAKE) -C doc DESTDIR=$(DESTDIR)
 	install -d $(DOCDIR)
-	install --owner=root --group=root --mode=0644 $(DOCPDF) $(DOCDIR)
-	install --owner=root --group=root --mode=0644 $(DOCTXT) $(DOCDIR)
+	install -o root -g 0 -m 0644 $(DOCPDF) $(DOCDIR)
+	install -o root -g 0 -m 0644 $(DOCTXT) $(DOCDIR)
 	install -d $(DOCHTMLDIR)
-	install --owner=root --group=root --mode=0644 $(DOCHTMLFILES) $(DOCHTMLDIR)
+	install -o root -g 0 -m 0644 $(DOCHTMLFILES) $(DOCHTMLDIR)
 
 # The translation stuff
 install_po:
@@ -91,22 +95,22 @@
 install_lib:
 	@echo -e "\n*** Installing libraries ***\n"
 	install -d $(LIBDIR)
-	install --owner=root --group=root --mode=0644 $(SHFILES) $(LIBDIR)
+	install -o root -g 0 -m 0644 $(SHFILES) $(LIBDIR)
 
 # The main stuff to build the backup-manager package
 install_bin:
 	@echo -e "\n*** Installing scripts ***\n"
-	mkdir -p $(DESTDIR)/usr/sbin
-	mkdir -p $(DESTDIR)/usr/bin
+	mkdir -p $(DESTDIR)/$(SBINDIR)
+	mkdir -p $(DESTDIR)/$(BINDIR)
 	mkdir -p $(SHAREDIR)
-	install --owner=root --group=root --mode=0755 backup-manager $(DESTDIR)/usr/sbin
-	install --owner=root --group=root --mode=0755 backup-manager-purge $(DESTDIR)/usr/bin
-	install --owner=root --group=root --mode=0755 backup-manager-upload $(DESTDIR)/usr/bin
-	install --owner=root --group=root --mode=0644 backup-manager.conf.tpl $(SHAREDIR)
+	install -o root -g 0 -m 0755 backup-manager $(DESTDIR)/$(SBINDIR)
+	install -o root -g 0 -m 0755 backup-manager-purge $(DESTDIR)/$(BINDIR)
+	install -o root -g 0 -m 0755 backup-manager-upload $(DESTDIR)/$(BINDIR)
+	install -o root -g 0 -m 0644 backup-manager.conf.tpl $(SHAREDIR)
 	
 	mkdir -p $(PERL5DIR)
 	mkdir -p $(PERL5DIR)/BackupManager
-	install --owner=root --group=root --mode=0644 BackupManager/*.pm $(PERL5DIR)/BackupManager
+	install -o root -g 0 -m 0644 BackupManager/*.pm $(PERL5DIR)/BackupManager
 
 # Building manpages
 man/backup-manager-upload.8:
@@ -123,8 +127,8 @@
 # Installing the man pages.
 install_man: manpages-stamp
 	@echo -e "\n*** Installing man pages ***\n"
-	install -d $(DESTDIR)/usr/share/man/man8/
-	install --owner=root --group=root --mode=0644 man/*.8 $(DESTDIR)/usr/share/man/man8/
+	install -d $(DESTDIR)/$(PREFIX)/share/man/man8/
+	install -o root -g 0 -m 0644 man/*.8 $(DESTDIR)/$(PREFIX)/share/man/man8/
 
 testperldir:
 	@echo "PERL5DIR: $(PERL5DIR)"

=== doc/Makefile ===
--- 
+++ 
@@ -1,14 +1,15 @@
 
 BASE	= user-guide
 SOURCE	= $(BASE).sgml
-DEST    = /usr/share/backup-manager/doc
+DEST    = $(DESTDIR)/usr/share/backup-manager/doc
 
 all: pdf txt html
 install: all
 	install -d $(DEST)
-	install $(BASE).pdf $(DEST)
-	install $(BASE).html $(DEST)
-	install $(BASE).txt $(DEST)
+	install -m 0644 $(BASE).pdf $(DEST)
+	install -d $(DEST)/$(BASE).html
+	cp $(BASE).html/*html $(DEST)/$(BASE).html
+	install -m 0644 $(BASE).txt $(DEST)
 
 pdf: user-guide.pdf
 user-guide.pdf:

=== po/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-prefix=$(DESTDIR)
+prefix=$(DESTDIR)/$(PREFIX)
 
 # List here all source files with translatable strings.
 POTFILES= \
@@ -17,8 +17,8 @@
 	@echo "Installing mo files"
 	for file in $(MOFILES); do \
 		lang=`echo $$file | sed 's/\.mo//'`; \
-		install -d $(prefix)/usr/share/locale/$$lang/LC_MESSAGES/; \
-		install -m 0644 $$file $(prefix)/usr/share/locale/$$lang/LC_MESSAGES/backup-manager.mo; \
+		install -d $(prefix)/share/locale/$$lang/LC_MESSAGES/; \
+		install -m 0644 $$file $(prefix)/share/locale/$$lang/LC_MESSAGES/backup-manager.mo; \
 	done
 
 $(POFILES_SRC):

=== debian/changelog ===
backup-manager (0.7.10.1-2) unstable; urgency=medium

  * Install the correct cron script (Closes: #672235).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 09 May 2012 19:03:46 +0200

backup-manager (0.7.10.1-1) unstable; urgency=low

  [ Sven Joachim ]
  * New upstream release (Closes: #655985).
    - Adds a new "postgresql" backup method (Closes: #637743).
  * Remove the fragile translation-updates.diff patch.  Instead, backup
    the upstream po files before the build and restore them in the clean
    target (Closes: #602633).
  * Depend on perl (via ${perl:Depends}), rather than than suggesting it,
    since perl is required by backup-manager-purge (LP: #941919).
  * Drop the debian-perl-location.diff patch, setting PERL5DIR in
    debian/rules instead.
  * Refresh the remaining Debian patches.
  * Fill out the same "Language:" header in debian/po/*.po.
  * Drop findutils dependency, even the version in Etch is new enough.
  * Upgrade Standards-Version to 3.9.3, no changes needed.
  * Update lintian override for Lintian 2.5.
  * Update debian/watch to find the 0.7.10.1 release tarball.
  * Add build-indep and (empty) build-arch targets to debian/rules.
  * Update Vcs-* fields in debian/control, switching to collab-maint.
  * Fix a few typos in the debconf templates, thanks to Daniele Forsi
    for the report.
  * Update README.Debian, the Amazon S3 upload method not longer needs
    libfile-slurp-perl (see #491199).
  * Demote the priority of the repo_user/repo_group debconf templates to
    medium.
  * Update debian/copyright.

  [ Georgios M. Zarkadas ]
  * Add Greek debconf translation.
  * Allow absolute paths in BM_TARBALL_BLACKLIST even when backing up
    the root (/) directory (Closes: #608237).
  * Fix missed archive uploads when backups are crossing the day
    limit (Closes: # 638803).
  * Provide a configuration option to record all uploaded archives in
    a single text database file (Closes: #638920).
  * Fix upstream makefile to make the build/clean process of gettext (po)
    files idempotent and bring sanity back to the package's build process.
  * Fix a security issue in pgsql backup method regarding the .pgpass
    file handling.
  * Add support for local unix sockets connections to the pgsql backup method.
  * Add existence check for pg_dumpall to the pgsql backup method.
  * Use the same naming convention for database methods generated archives.
  * Add myself to Uploaders.
  * Add cron script to remove old entries from uploaded archives database.
  * Update control file to reflect upstream fix of Amazon S3 uploading
    method's dependencies (Closes: #491199).
  * Fix missed warnings when BM_LOGGER* variables are undefined or wrongly
    configured (Closes: #567553).
  * Change configurator to dynamically update BM_TARBALL_BLACKLIST when
    user selections change during configuration (Closes: #610413).
  * Add backtracking support to the configurator.

  [ Sven Joachim, Georgios M. Zarkadas ]
  * Switch source format to 3.0 (quilt).
    - Drop debian/README.source.
  * Change debian/rules to use the generic 'dh$@' rule plus overrides.

  [ Joe Dalton ]
  * Add Danish debconf translation (Closes: #659162).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 07 Mar 2012 19:08:15 +0100

backup-manager (0.7.9-3) unstable; urgency=low

  * Remove /etc/backup-manager.conf.ucf-old on purge.
  * Associate /etc/backup-manager.conf with backup-manager via ucfr.
  * Bump ucf dependency to (>= 2.009), since that version introduced the
    ucfr command.
  * Update Brazilian Portuguese debconf translation, thanks to
    Eder L. Marques (Closes: #574147).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 17 Mar 2010 17:10:47 +0100

backup-manager (0.7.9-2) unstable; urgency=low

  * The "debconf is not a registry" release.
  * Respect manual moving/removal/installation of our cron script
    (Closes: #567477).
  * Source /etc/backup-manager.conf from the config script if possible
    to correct possibly outdated debconf values (Closes: #569587).
  * Do not install our possibly very expensive cron script by default
    (Closes: #518707), and mention in README.Debian how to enable it.
    Existing installations should not be affected.
  * Allow tar.lz (LZMA compressed tarballs) as archive filetype via debconf.
    Support for this filetype had been introduced in 0.7.5, but could
    only be enabled by manually editing /etc/backup-manager.conf.
  * Bump ucf dependency to (>= 0.28), since that version introduced the
    --debconf-ok option.
  * Upgrade Standards-Version to 3.8.4, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 14 Feb 2010 10:49:49 +0100

backup-manager (0.7.9-1) unstable; urgency=high

  * New upstream release.
    + Fix long version of the "-c" option in the manpage (Closes:#544253).
    + New configuration variable BM_LOGGER_LEVEL controls which messages
      should be sent to syslog. By default, only warnings and errors are
      logged (Closes: #488077).
    + Fix possible leaking of MYSQL passwords to local users, hence the
      high urgency.
  * Remove several patches that were applied upstream, refresh the others.
  * Add new patch that removes two newly introduced but never used
    variables form backup-manager's configuration template.
  * Convert headers of the remaining patches to DEP-3 format.
  * Register the user guide in doc-base.
  * Remove spurious trailing whitespace from debian/control.
  * Upgrade Standards-Version to 3.8.3, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 22 Jan 2010 14:16:23 +0100

backup-manager (0.7.8-2) unstable; urgency=medium

  * New maintainer (Closes: #536155).
  * Add missing build dependencies (Closes: #516060).
  * Make debian/rules less verbose (Closes: #535372).
  * Fix failure of the tarball-incremental method on the 8th and 9th
    day of each month (Closes: #518956). Thanks to Margarita Manterola.
  * Fix bug that treated tar warnings as fatal errors (Closes: #532976).
    Thanks to Alexey Salmin.


=== debian/control ===
Source: backup-manager
Section: admin
Priority: optional
Build-Depends-Indep: debiandoc-sgml, texlive-fonts-recommended, texlive-latex-base,
                     texlive-latex-recommended, texlive-latex-extra, ghostscript
Build-Depends: po-debconf, debhelper (>= 7.0.50)
Maintainer: Sven Joachim <svenjoac@gmx.de>
Uploaders: Georgios M. Zarkadas <gz@member.fsf.org>
Standards-Version: 3.9.3
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/backup-manager.git
Vcs-Git: git://anonscm.debian.org/collab-maint/backup-manager.git
Homepage: http://www.backup-manager.org/

Package: backup-manager
Architecture: all
Suggests: backup-manager-doc, zip, openssh-client, wodim,
          genisoimage, gettext-base, anacron, dvd+rw-tools, dar,
          libnet-amazon-s3-perl
Depends: ${misc:Depends}, ${perl:Depends}, debconf | debconf-2.0, ucf (>= 2.009)
Description: command-line backup tool
 This is a backup program, designed to help you make daily archives of
 your file system.
 .
 Written in bash and perl, it can make tar, tar.gz, tar.bz2, and zip
 archives and can be run in a parallel mode with different
 configuration files. Other archives are possible: MySQL or SVN dumps,
 incremental backups...
 .
 Archives are kept for a given number of days and the upload system
 can use FTP, SSH or RSYNC to transfer the generated archives to a list of
 remote hosts.
 .
 Automatically burning archives to removable media such as CD or DVD is also
 possible.
 .
 The configuration file is very simple and basic and gettext is used for
 internationalization.

Package: backup-manager-doc
Section: doc
Architecture: all
Suggests: backup-manager
Depends: ${misc:Depends}
Description: documentation package for Backup Manager
 Backup-manager is a backup program, designed to help you make daily
 archives of  your file system.
 .
 This package provides the Backup Manager User Guide in different formats:
 HTML, plain text and PDF.

=== debian/rules ===
#!/usr/bin/make -f

PKG = $(firstword $(shell dh_listpackages))
DOCPKG = $(lastword $(shell dh_listpackages))
TMP = $(CURDIR)/debian/$(PKG)
DOCTMP = $(CURDIR)/debian/$(DOCPKG)

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install PREFIX=/usr DESTDIR=$(TMP) \
	    PERL5DIR=$(TMP)/usr/share/perl5
	$(MAKE) -C $(CURDIR)/doc install DESTDIR=$(DOCTMP)

override_dh_installcron:
	dh_installcron
	dh_installcron --name=backup-manager-clean-upload-db

=== debian/watch ===
version=3
http://www.backup-manager.org/download/ [Bb]ackup-[Mm]anager-([\.\d]+)\.tar\.gz

## backup-manager 0.7.12

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright  2005-2010 The Backup Manager Authors
+# Copyright © 2005-2016 The Backup Manager Authors
 # See the AUTHORS file for details.
 #
 # This program is free software; you can redistribute it and/or
@@ -27,7 +27,7 @@
 # Overwrite that variable if you need to prefix the destination 
 # (needed for vendors).
 DESTDIR?=
-PREFIX?=/usr
+PREFIX?=/usr/local
 
 # Overwrite that variable with the Perl vendorlib Config value if 
 # you package Backup Manager
@@ -36,8 +36,9 @@
 # Some static paths, specific to backup-manager
 BINDIR=$(PREFIX)/bin
 SBINDIR=$(PREFIX)/sbin
+VARDIR=$(PREFIX)/var
 
-LIBDIR=$(DESTDIR)/$(PREFIX)/share/backup-manager
+LIBDIR=$(DESTDIR)/$(PREFIX)/lib/backup-manager
 CONTRIB=$(LIBDIR)/contrib
 SHAREDIR=$(DESTDIR)/$(PREFIX)/share/backup-manager
 SHFILES=\
@@ -70,7 +71,7 @@
 
 # The backup-manager package
 install: build install_lib install_bin install_contrib install_man install_po
-install_binary: build install_lib install_bin 
+install_binary: build install_lib install_bin
 
 install_contrib:
 	@echo -e "*** Contrib files ***\n"
@@ -89,7 +90,7 @@
 
 # The translation stuff
 install_po:
-	$(MAKE) -C po install
+	$(MAKE) -C po install DESTDIR=$(DESTDIR) PREFIX=$(PREFIX)
 
 # The backup-manager libraries
 install_lib:
@@ -107,10 +108,29 @@
 	install -o root -g 0 -m 0755 backup-manager-purge $(DESTDIR)/$(BINDIR)
 	install -o root -g 0 -m 0755 backup-manager-upload $(DESTDIR)/$(BINDIR)
 	install -o root -g 0 -m 0644 backup-manager.conf.tpl $(SHAREDIR)
+
+	# Set PREFIX to backup-manager binary
+	sed "s#^BIN_PREFIX=.*#BIN_PREFIX=$(DESTDIR)/$(BINDIR)#" -i $(DESTDIR)/$(SBINDIR)/backup-manager
+	sed "s#^LIB_PREFIX=.*#LIB_PREFIX=$(DESTDIR)/$(PREFIX)/lib#" -i $(DESTDIR)/$(SBINDIR)/backup-manager
+	sed "s#^VAR_PREFIX=.*#VAR_PREFIX=$(VARDIR)#" -i $(DESTDIR)/$(SBINDIR)/backup-manager
 	
 	mkdir -p $(PERL5DIR)
 	mkdir -p $(PERL5DIR)/BackupManager
 	install -o root -g 0 -m 0644 BackupManager/*.pm $(PERL5DIR)/BackupManager
+	
+# Uninstall
+uninstall:
+	@echo -e "\n*** Unsinstalling Backup-Manager ***\n"
+	@rm -fv $(DESTDIR)$(SBINDIR)/backup-manager
+	@rm -fv $(DESTDIR)$(BINDIR)/backup-manager-purge
+	@rm -fv $(DESTDIR)$(BINDIR)/backup-manager-upload
+	@rm -fv $(SHAREDIR)/backup-manager.conf.tpl
+	@rm -fv $(DESTDIR)$(PREFIX)/share/man/man8/backup-manager*.8
+	@rm -Rfv $(LIBDIR)
+	@rm -Rfv $(PERL5DIR)/BackupManager
+	@rm -Rfv $(SHAREDIR)
+	@rm -Rfv $(DESTDIR)$(PREFIX)/share/doc/backup-manager
+	@rm -fv $(DESTDIR)$(PREFIX)/share/locale/*/LC_MESSAGES/backup-manager.mo
 
 # Building manpages
 man/backup-manager-upload.8:

=== debian/changelog ===
backup-manager (0.7.12-4) unstable; urgency=medium

  * Add myself as the main maintainer. (Closes: 784851)
  * Add new patch: Force-gzip-to-ignore-the-filename-and-timestamp.patch.
    Thanks to Santiago Vila for the report and fix (Closes: 831759)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 23 Aug 2016 12:51:17 +0200

backup-manager (0.7.12-3) unstable; urgency=medium

  * Add gnupg buid dependency.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 20 Jul 2016 13:00:56 +0200

backup-manager (0.7.12-2) unstable; urgency=medium

  * Add new patch: Fix-pattern-generation.patch.
    Thanks to Chris Lamb for the report and trace (Closes: 831759)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 20 Jul 2016 10:52:33 +0200

backup-manager (0.7.12-1) unstable; urgency=medium

  [ Dima Kogan ]
  * QA upload
  * New upstream release (Closes: #638919)
  * Updated references to the no-longer-existent upstream website
    (Closes: #711949)
  * Incremental archives are retained if their master archive is retained
    (Closes: #784446)

  [ Maximiliano Curia ]
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Update Vcs uris.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 22 Mar 2016 11:03:04 +0100

=== debian/control ===
Source: backup-manager
Section: admin
Priority: optional
Build-Depends-Indep: debiandoc-sgml,
                     ghostscript,
                     texlive-fonts-recommended,
                     texlive-latex-base,
                     texlive-latex-extra,
                     texlive-latex-recommended
Build-Depends: dar, debhelper (>=9), gnupg, po-debconf, rsync
Maintainer: Maximiliano Curia <maxy@debian.org>
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/backup-manager.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/backup-manager.git
Homepage: https://github.com/sukria/Backup-Manager

Package: backup-manager
Architecture: all
Suggests: anacron,
          backup-manager-doc,
          dar,
          dvd+rw-tools,
          genisoimage,
          gettext-base,
          libnet-amazon-s3-perl,
          openssh-client,
          wodim,
          zip
Depends: debconf | debconf-2.0,
         ucf (>= 2.009),
         ${misc:Depends},
         ${perl:Depends}
Description: command-line backup tool
 This is a backup program, designed to help you make daily archives of
 your file system.
 .
 Written in bash and perl, it can make tar, tar.gz, tar.bz2, and zip
 archives and can be run in a parallel mode with different
 configuration files. Other archives are possible: MySQL or SVN dumps,
 incremental backups...
 .
 Archives are kept for a given number of days and the upload system
 can use FTP, SSH or RSYNC to transfer the generated archives to a list of
 remote hosts.
 .
 Automatically burning archives to removable media such as CD or DVD is also
 possible.
 .
 The configuration file is very simple and basic and gettext is used for
 internationalization.

Package: backup-manager-doc
Section: doc
Architecture: all
Suggests: backup-manager
Depends: ${misc:Depends}
Description: documentation package for Backup Manager
 Backup-manager is a backup program, designed to help you make daily
 archives of  your file system.
 .
 This package provides the Backup Manager User Guide in different formats:
 HTML, plain text and PDF.

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 %:
 	dh $@
 
+override_dh_auto_test:
+	t/run-tests.sh
+
 override_dh_auto_install:
 	$(MAKE) install PREFIX=/usr DESTDIR=$(TMP) \
 	    PERL5DIR=$(TMP)/usr/share/perl5

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/sukria/Backup-Manager/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
